org.eclipse.wst.jsdt.launching

## Interface IVMInstallChangedListener

    public interface IVMInstallChangedListener

A VM install changed listener is notified when the workspace default VM install changes, or when an attribute of a specific VM install changes. Listeners register with `JavaRuntime`.

Clients may implement this interface.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `PROPERTY_INSTALL_LOCATION` Property constant indicating the install location of a VM install has changed.
`static java.lang.String` `PROPERTY_JAVADOC_LOCATION` Property constant indicating the jsdoc location associated with a VM install has changed.
`static java.lang.String` `PROPERTY_LIBRARY_LOCATIONS` Property constant indicating the library locations associated with a VM install have changed.
`static java.lang.String` `PROPERTY_NAME` Property constant indicating the name associated with a VM install has changed.
`static java.lang.String` `PROPERTY_VM_ARGUMENTS` Property constant indicating the VM arguments associated with a VM install has changed.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `defaultVMInstallChanged(IVMInstall previous, IVMInstall current)` Notification that the workspace default VM install has changed.
`void` `vmAdded(IVMInstall vm)` Notification that a VM has been created.
`void` `vmChanged(PropertyChangeEvent event)` Notification that a property of a VM install has changed.
`void` `vmRemoved(IVMInstall vm)` Notification that a VM has been disposed.

### Field Detail

#### PROPERTY_LIBRARY_LOCATIONS

    static final java.lang.String PROPERTY_LIBRARY_LOCATIONS

Property constant indicating the library locations associated with a VM install have changed.

See Also:
  Constant Field Values

#### PROPERTY_NAME

    static final java.lang.String PROPERTY_NAME

Property constant indicating the name associated with a VM install has changed.

See Also:
  Constant Field Values

#### PROPERTY_INSTALL_LOCATION

    static final java.lang.String PROPERTY_INSTALL_LOCATION

Property constant indicating the install location of a VM install has changed.

See Also:
  Constant Field Values

#### PROPERTY_JAVADOC_LOCATION

    static final java.lang.String PROPERTY_JAVADOC_LOCATION

Property constant indicating the jsdoc location associated with a VM install has changed.

See Also:
  Constant Field Values

#### PROPERTY_VM_ARGUMENTS

    static final java.lang.String PROPERTY_VM_ARGUMENTS

Property constant indicating the VM arguments associated with a VM install has changed.

See Also:
  Constant Field Values

### Method Detail

#### defaultVMInstallChanged

    void defaultVMInstallChanged(IVMInstall previous,
                                 IVMInstall current)

Notification that the workspace default VM install has changed.

Parameters:
  `previous` - the VM install that was previously assigned to the workspace, possibly `null`
  `current` - the VM install that is currently assigned to the workspace, possibly `null`

#### vmChanged

    void vmChanged(PropertyChangeEvent event)

Notification that a property of a VM install has changed.

Parameters:
  `event` - event describing the change. The VM that has changed is the source object associated with the event.

#### vmAdded

    void vmAdded(IVMInstall vm)

Notification that a VM has been created.

Parameters:
  `vm` - the vm that has been created

#### vmRemoved

    void vmRemoved(IVMInstall vm)

Notification that a VM has been disposed.

Parameters:
  `vm` - the vm that has been disposed